# -*- coding: utf-8 -*-
#MoxVolumeScale　プロトタイプ！
import maya.cmds as cmds
import math

def volScale(xyz):
    v = cmds.floatSliderGrp("MoxVolume"+xyz,q=True, v=True)
    
    if len(cmds.ls(sl=True)) == 0:
        print(u"何も選択されておりｊません")
    else:
        oSel = cmds.ls(sl=True)[0]
        
        
        if xyz=='x':
            cmds.setAttr(oSel+".sx", v)
            cmds.setAttr(oSel+".sy",math.sqrt((1/v)))
            cmds.setAttr(oSel+".sz", math.sqrt((1/v)))
            cmds.floatSliderGrp("MoxVolumey", e=1, v=math.sqrt((1/v)))
            cmds.floatSliderGrp("MoxVolumez", e=1, v=math.sqrt((1/v)))
        elif xyz=='y':
            cmds.setAttr(oSel+".sx", math.sqrt((1/v)))
            cmds.setAttr(oSel+".sy", v)
            cmds.setAttr(oSel+".sz", math.sqrt((1/v)))
            cmds.floatSliderGrp("MoxVolumex", e=1, v=math.sqrt((1/v)))
            cmds.floatSliderGrp("MoxVolumez", e=1, v=math.sqrt((1/v)))
        elif xyz=='z':
            cmds.setAttr(oSel+".sx", math.sqrt((1/v)))
            cmds.setAttr(oSel+".sy", math.sqrt((1/v)))
            cmds.setAttr(oSel+".sz", v)
            cmds.floatSliderGrp("MoxVolumex", e=1, v=math.sqrt((1/v)))
            cmds.floatSliderGrp("MoxVolumey", e=1, v=math.sqrt((1/v)))
            


def MoxVolumeScale():
    if cmds.window('MoxVolumeScale', exists=True):
        cmds.deleteUI('MoxVolumeScale')
        
    cmds.window('MoxVolumeScale', menuBarVisible=True, tlb=True, s=1, t="MoxVolumeScale", resizeToFitChildren=1, mnb=1, mxb=0)
    cmds.columnLayout('MainColumnLayout', adjustableColumn=True, rowSpacing=5, columnAttach=["both",5])
    
    cmds.floatSliderGrp("MoxVolumex", field=1, l="x", cw3=[15,40,200], min= 0.1, max= 5, dc="MoxVolumeScale.volScale('x')")
    cmds.floatSliderGrp("MoxVolumey", field=1, l="y", cw3=[15,40,200], min= 0.1, max= 5, dc="MoxVolumeScale.volScale('y')")
    cmds.floatSliderGrp("MoxVolumez", field=1, l="z", cw3=[15,40,200], min= 0.1, max= 5, dc="MoxVolumeScale.volScale('z')")
    cmds.showWindow('MoxVolumeScale')
MoxVolumeScale()